Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class MvelUserGroupCallbackImpl

    java.lang.Object
      org.jbpm.services.task.identity.MvelUserGroupCallbackImpl

All Implemented Interfaces:
  org.kie.internal.task.api.UserGroupCallback

    @Alternative
    public class MvelUserGroupCallbackImpl

extends Object
implements org.kie.internal.task.api.UserGroupCallback

Constructor Summary
`MvelUserGroupCallbackImpl()`

Method Summary
`boolean` | `existsGroup(String groupId)`
`boolean` | `existsUser(String userId)`
`List<String>` | `getGroupsForUser(String userId)`
`List<String>` | `getGroupsForUser(String userId, List<String> groupIds)`
`List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MvelUserGroupCallbackImpl

    public MvelUserGroupCallbackImpl()

Method Detail

### existsUser

    public boolean existsUser(String userId)

  Specified by:
    `existsUser` in interface `org.kie.internal.task.api.UserGroupCallback`

### existsGroup

    public boolean existsGroup(String groupId)

  Specified by:
    `existsGroup` in interface `org.kie.internal.task.api.UserGroupCallback`

### getGroupsForUser

    public List<String> getGroupsForUser(String userId,
                                         List<String> groupIds)

### getGroupsForUser

    public List<String> getGroupsForUser(String userId,
                                         List<String> groupIds,
                                         List<String> allExistingGroupIds)

  Specified by:
    `getGroupsForUser` in interface `org.kie.internal.task.api.UserGroupCallback`

### getGroupsForUser

    public List<String> getGroupsForUser(String userId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.